Create a Blueprint Step Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps

Path parameters

  • automationBlueprint_uuid string Required
application/json

Body

  • name string Required

    Name of the automation step

  • type string Required

    Must be a verified action type or a condition

  • configuration array Required

    Configuration options for this step, requirements depend on type

  • parent_step_uuid string

    Uuid of the step that run before this step, if the parent step is a condition type then a condition state must be given

  • condition_state boolean

    Only required if parent step is a condition, the condition state will determine if this step runs in the true branch or the false branch of the parent condition

Responses

  • 201 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        Uuid of the Blueprint Step

      • created_at string

        Datetime the Blueprint Step was created

      • updated string

        Datetime the Blueprint Step was updated

      • name string

        Description of the action that the automation step is taking

      • type string

        Type of action to take on this step

      • configuration object

        The configuration of this step

        Hide configuration attribute Show configuration attribute object
        • params object
          Hide params attribute Show params attribute object
          • account_uuid object
            Hide account_uuid attributes Show account_uuid attributes object
            • type string
            • value string
      • condition_state boolean

        If the step is a type of condition, this will be the branch that the step follows on.

      • parent_step_uuid string

        Uuid of the parent step, can be null if this is the root step

POST /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/automation-blueprints/6ff8f7f6-1eb3-3525-be4a-3932c805afed/blueprint-steps' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"send an email","type":"mail.send","configuration":[{"params":{"account_uuid":{"type":"ref","value":"trigger.account.uuid"}}}],"parent_step_uuid":"string","condition_state":true}'
Request examples
{
  "name": "send an email",
  "type": "mail.send",
  "configuration": [
    {
      "params": {
        "account_uuid": {
          "type": "ref",
          "value": "trigger.account.uuid"
        }
      }
    }
  ],
  "parent_step_uuid": "string",
  "condition_state": true
}
Response examples (201)
{
  "data": [
    {
      "uuid": "b5518275-200e-43db-bdf0-9691051adf09",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated": "2026-06-08T16:08:03+01:00",
      "name": "create a new client",
      "type": "client.create",
      "configuration": {
        "params": {
          "account_uuid": {
            "type": "ref",
            "value": "trigger.account.uuid"
          }
        }
      },
      "condition_state": false,
      "parent_step_uuid": "be8b578a-7ec1-4f5c-b5e2-ea05c42e1408"
    }
  ]
}